Get Topic Views
Returns information on topics viewed by anonymous users or a specific user.
Path Parameters
- user-loginstringrequired
The login of the user to get topic views for. Use
-instead of the login to get the data for anonymous users.Examplepr1
Query Parameters
- startDatestringrequired
An ISO 8601 timestamp of the report range start date. GMT timezone.
Example2022-08-09T02:35:00 - endDatestringrequired
An ISO 8601 timestamp of the report range end date. GMT timezone.
Example2022-12-31T02:35:00
Responses
GET/reports/user-events/{user-login}/articles
curl --location -g --request GET 'https://{portal-url}/api/v1/reports/user-events/pr1/articles?startDate=2022-08-09T02:35:00&endDate=2022-12-31T02:35:00'
[
{
"actionType": "DirectNavigation",
"dateTime": "2025-02-15T10:20:30Z",
"href": "/api/v1/projects/deep-space-exploration/articles/basic-functionality",
"referrerUrl": "https://docs.hedronlabs.org/articles/"
},
{
"actionType": "FromToc",
"dateTime": "2025-05-10T14:45:00Z",
"href": "/api/v1/projects/deep-space-exploration/articles/advanced-functionality",
"referrerUrl": "https://docs.hedronlabs.org/articles/toc"
}
]